function [v] = bdryC(u1,u2) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Christophe Prieur
% 
% Project: Simulation of a hybrid system
%
% Name: bdryC.m
%
% Description: gives the last coordinate in the 
%
% Version: 0.3
% Required files: -
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global mu nu alphabar option_simu;

% state
x1= u1;
x2= u2;

x3=(-x1.*(x2.^2+x1.^2)+alphabar *0.5*(x1^2+ (x2 + nu *x1+ x1^2)^2))/ (x2+x1+x2.^2) -x1.^2 -(2 .*x1+1) .*(x2+x1.^2);

if (x2+x1+x2.^2) > 0
    v=x3;
else
    v=x3;
end
