function out = phi(u)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Christophe Prieur
%
% Project: Simulation of a hybrid system
%
%
% Name: phi.m
%
% Description: static stabilizing feedback
%
% Required files: -
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global mu nu;

% state
x = u;
x1=x(1);
x2=x(2);

contro= -mu*(x2+nu*x1+x1)-x1-x1^2-nu*(x2+x1^2)-2*x1*(x2+x1^2);

out = contro;