% function evol needed to know in which set we are
% 
% inputs : z0, z1, q, eps0a, eps1a
% output : number between 0 and 1111
% 
% output = 1000 => we are in C0
% output = 100 => we are in C1
% output = 10 => we are in D0
% output = 1 => we are in D1
function EVOL=evol(z0,z1,q,eps0a,eps1a)

EVOL=and(z0 <= eps0a, q==0)*1000+ and(z1 >= eps1a, q ==1)*100+...
    and(z0>= eps0a,q==0)*10+and(z1<=eps1a,q==1);